<div style="position: fixed; ">
    <button pButton type="button" (click)="display = true" label="Export" class="ui-button-raised ui-button-secondary" icon="pi pi-download
"></button>
</div>

<p-dialog header="Export" [(visible)]="display" [modal]="true" [style]="{width: '50vw'}" [baseZIndex]="12000"
    [draggable]="false" [resizable]="false">
    <p>Export input</p>
    <p-accordion>
        <p-accordionTab header="RCM RegCM4.7">
            <p-dropdown [options]="raw_datasets" 
                [(ngModel)]="selectedRawDataset" 
                placeholder="dataset" 
                optionLabel="dataset"></p-dropdown>

            <p-dropdown [options]="Types" 
                [(ngModel)]="selectedType" 
                optionLabel="label"></p-dropdown>
            
            <p-dropdown [options]="Indices" 
                [(ngModel)]="selectedIndices"
                placeholder="variables"
                optionLabel="label"></p-dropdown>

            <p>start: </p>
            <p-calendar [(ngModel)]="startdate" [monthNavigator]="true" [yearNavigator]="true" yearRange="1970:2100" placeholder="date" [showIcon]="true"></p-calendar>
            <p>stop: </p>
            <p-calendar [(ngModel)]="stopdate" [monthNavigator]="true" [yearNavigator]="true" yearRange="1970:2100" placeholder="date" [showIcon]="true"></p-calendar>

            <hr>
            <p-footer>
                <button type="button" pButton icon="pi pi-download" (click)="Download_rcm()" (click)="display=false" label="download" class="ui-button-secondary"></button>
            </p-footer>
        </p-accordionTab>
        <p-accordionTab header="Extreme indices">
            <p-dropdown [options]="indices_datasets" 
                [(ngModel)]="selectedDataset" 
                placeholder="Select dataset" 
                optionLabel="dataset"></p-dropdown>

            <p-dropdown [options]="selectedDataset.indices" 
                [(ngModel)]="selectedIndex" 
                placeholder="Select index" 
                optionLabel="index"></p-dropdown>

            <p>From: </p>
            <select [(ngModel)]="selectedStartYear">
                    <option *ngFor="let i of selectedDataset.year;" [value]=i>{{i}}</option>
            </select>

            <select [(ngModel)]="selectedStartMonth">
                <option *ngFor="let m of selectedIndex.month; let i = index" [value]=i>{{m}}</option>
            </select>
            <p>to: </p>
            <select [(ngModel)]="selectedStopYear">
                    <option *ngFor="let i of selectedDataset.year;" [value]=i>{{i}}</option>
            </select>

            <select [(ngModel)]="selectedStopMonth">
                <option *ngFor="let m of selectedIndex.month; let i = index" [value]=i>{{m}}</option>
            </select>
            <hr>
            <p-footer>
                <button type="button" pButton icon="pi pi-download" (click)="Download_indices()" (click)="display=false" label="download" class="ui-button-secondary"></button>
            </p-footer>
        </p-accordionTab>
    </p-accordion>
</p-dialog>

<p-dialog header="Something wrongs" [(visible)]="dialog" [modal]="true" [style]="{width: '50vw'}" [baseZIndex]="99999"
    [draggable]="false" [resizable]="false">
    <p>Your not select some input</p>
    <p>or</p>
    <p>Start date > Stop date</p>
    <p>or</p>
    <p>Your select data too long.Please select period less than 366 day</p>
    <p-footer>
        <button type="button" pButton icon="pi pi-times" (click)="dialog=false" label="Close" class="ui-button-secondary"></button>
    </p-footer>
</p-dialog>